PortAudio 2.0

Data Fields
PaWinWDMKSDeviceInfo Struct Reference

## Data Fields
wchar_t | filterPath [MAX_PATH]
wchar_t | topologyPath [MAX_PATH]
PaWDMKSType | streamingType
GUID | deviceProductGuid

## Detailed Description

Definition at line 111 of file pa_win_wdmks.h.

## Field Documentation

## ◆ deviceProductGuid

GUID PaWinWDMKSDeviceInfo::deviceProductGuid

The product GUID of the device (if supported)

Definition at line 115 of file pa_win_wdmks.h.

## ◆ filterPath

wchar_t PaWinWDMKSDeviceInfo::filterPath[MAX_PATH]

KS filter path in Unicode!

Definition at line 112 of file pa_win_wdmks.h.

## ◆ streamingType

PaWDMKSType PaWinWDMKSDeviceInfo::streamingType

Definition at line 114 of file pa_win_wdmks.h.

## ◆ topologyPath

wchar_t PaWinWDMKSDeviceInfo::topologyPath[MAX_PATH]

Topology filter path in Unicode!

Definition at line 113 of file pa_win_wdmks.h.

The documentation for this struct was generated from the following file:

- pa_win_wdmks.h